apps/clients/urls.py
from django.conf.urls import url

from .views import ListClientView, CreateClientView, UpdateClientView, DeleteClientView, RemoveClientView, \
    LoadClientsAPI, LoadProvincesAPI, LoadDistrictsAPI, ValidateRucView

urlpatterns = [
    url(r'^$', ListClientView.as_view(), name='client-list'),
    url(r'nuevo/$', CreateClientView.as_view(), name='client-create'),
    url(r'editar/(?P<pk>\d+)/$', UpdateClientView.as_view(), name='client-edit'),
    url(r'eliminar/(?P<pk>\d+)/$', DeleteClientView.as_view(), name='client-delete'),
    url(r'^cliente/(?P<pk>\d+)/remover/$', RemoveClientView.as_view(),
        name='remover-cliente'),
    url(r'^clientes/$', LoadClientsAPI.as_view(), name='clients-api'),

    url(r'department/(?P<pk>\d+)/provinces$', LoadProvincesAPI.as_view(), name='load-provinces'),
    url(r'province/(?P<pk>\d+)/districts$', LoadDistrictsAPI.as_view(), name='load-districts'),
    url(r'validateRuc/$', ValidateRucView.as_view(), name='validate-ruc'),
]

apps/sale_opportunity/urls.py
from django.core.urlresolvers import reverse, reverse_lazy
from django.conf.urls import url
from django.contrib.auth import views
from apps.sale_opportunity.views import SaleOpportunityView, SaleOpportunityListView, SaleOpportunityDetailAPIView, \
    SaleOpportunityChangePhaseAPIView, CreateSaleOpportunity, RemoveOpportunityView, UpdateOpportunityView, \
    FilterAttachedFileView, FechaFacturacionnDetalleOportunidad, ListActivityView, RemoveActivityView, \
    UpdateActivityView, CreateActivityView, IngresoParcialDetalleOportunidad, FilterSaleManagmentView, \
    ListAttachedFileView, CreateAttachedFileView, RemoveAttachedFileView, FilterVariationNewView, \
    SaleOpportunityDetailView

urlpatterns = [
    url(r'^$', SaleOpportunityListView.as_view(), name='saleopportunity-list'),
    url(r'^create/$', CreateSaleOpportunity.as_view(), name='saleopportunity-create'),
    url(r'^detail/(?P<pk>\d+)/$', SaleOpportunityDetailView.as_view(), name='saleopportunity-detail'),
    url(r'board-oportunidad-ventas/$', SaleOpportunityView.as_view(), name='ov-boards'),
    url(r'^carga/detail-op-venta/$', SaleOpportunityDetailAPIView.as_view(), name='api-detail-op-ventas'),
    url(r'^api/change-phase-op-venta/$', SaleOpportunityChangePhaseAPIView.as_view(), name='api-change-phase-op-venta'),
    url(r'^oportunidad/(?P<pk>\d+)/remover/$', RemoveOpportunityView.as_view(), name='remove-opportunity'),
    url(r'^oportunidad/(?P<pk>\d+)/editar/$', UpdateOpportunityView.as_view(), name='edit-opportunity'),
    url(r'^files/buscar/$', FilterAttachedFileView.as_view(), name='so-filter-files'),
    url(r'^detalle/oportunidad/facturado/$', FechaFacturacionnDetalleOportunidad.as_view(),
        name='detalle-fecha-facturacion'),
    url(r'^detalle/oportunidad/edit/partial-revenue/$', IngresoParcialDetalleOportunidad.as_view(),
        name='detalle-ingreso-parcial'),

    url(r'^oportunidad/(?P<pk>\d+)/actividades/$', ListActivityView.as_view(), name='activity-list'),
    url(r'^oportunidad/(?P<pk>\d+)/actividades/crear/$', CreateActivityView.as_view(), name='activity-create'),
    url(r'^oportunidad/actividad/(?P<pk>\d+)/remover/$', RemoveActivityView.as_view(), name='activity-remove'),
    url(r'^oportunidad/actividad/(?P<pk>\d+)/editar/$', UpdateActivityView.as_view(), name='activity-update'),

    url(r'^gestion/ventas/$', FilterSaleManagmentView.as_view(), name='filter-sale-managment'),
    url(r'^variacion/nuevos/$', FilterVariationNewView.as_view(), name='filter-variation-new'),

    url(r'^oportunidad/(?P<pk>\d+)/doc-adjuntos/$', ListAttachedFileView.as_view(), name='attached-file-list'),
    url(r'^oportunidad/(?P<pk>\d+)/doc-adjuntos/crear/$', CreateAttachedFileView.as_view(),
        name='attached-file-create'),
    url(r'^oportunidad/doc-adjuntos/(?P<pk>\d+)/remover/$', RemoveAttachedFileView.as_view(),
        name='attached-file-remove'),

]

apps/security/urls.py
from django.conf.urls import url

from apps.security.views import GescoLoginView, GescoLogoutView, ChangeRoleView, IndexView

urlpatterns = [
    url(r'^login/$', GescoLoginView.as_view(), name='login'),
    url(r'^logout/$', GescoLogoutView.as_view(), name='logout'),
    url(r'^index/$', IndexView.as_view(), name='index'),
    url(r'^cambiar-rol/$', ChangeRoleView.as_view(), name='change-rol'),
]

corebackend/urls.py
from django.conf import settings
from django.conf.urls import url, include
from django.conf.urls.static import static
from django.contrib import admin
from django.views.static import serve

urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'', include('apps.clients.urls', namespace='clients', app_name='clients')),
    url(r'', include('apps.products.urls', namespace='products', app_name='products')),
    url(r'^oportunidad-venta/', include('apps.sale_opportunity.urls',
                                        namespace='sale_opportunity', app_name='sale_opportunity')),
    url(r'^seguridad/', include('apps.security.urls',
                                namespace='security', app_name='security'))
]

if settings.DEBUG:
    urlpatterns += [
                       url(r'^media/(?P<path>.*)$', serve, {
                           'document_root': settings.MEDIA_ROOT,
                       }),
                       url(r'^static/(?P<path>.*)$', serve,
                           {'document_root': settings.STATIC_ROOT,
                            })
                   ] + static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)

templates/basepartials/_messages.html
{% for message in messages %}
  <div class="alert alert-{{ message.tags }}" id="snackbar">{{ message }}
  </div>
{% endfor %}

<script src="https://code.jquery.com/jquery-3.2.1.js"></script>
<script type="text/javascript">
$(document).ready(function() {
    setTimeout(function() {
        $("#snackbar").fadeOut(1500);
    },3000);
});
</script>

templates/basepartials/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>

  <meta charset="UTF-8">
  <title>Gestión Comercial {% block title %} {% endblock %}</title>
  <link href="{% static 'vendor/font-awesome/css/font-awesome.min.css' %}"
        rel="stylesheet">
  <!-- Bootstrap -->
  <link href="{% static 'vendor/bootstrap/css/bootstrap.min.css' %}"
        rel="stylesheet"
        media="screen"/>
  <!-- Css Slider -->
  <link href="{% static 'css/sidebar.css' %}" rel="stylesheet"
        media="screen"/>
  <!-- Css Base -->
  <link rel="stylesheet" type="text/css" href="{% static 'css/base.css' %}">
  <link rel="stylesheet" type="text/css"
        href="{% static 'vendor/select2/css/select2.min.css' %}">
  <link rel="stylesheet" href="{% static 'vendor/bootstrap/css/bootstrap-toggle.min.css' %}">
  {% block extra_style %}{% endblock %}
</head>


<body hoe-navigation-type="vertical" hoe-nav-placement="left"
      theme-layout="wide-layout" theme-bg="bg1">
<div id="hoeapp-wrapper" class="hoe-hide-lpanel" hoe-device-type="desktop">
  <header id="hoe-header" hoe-lpanel-effect="shrink">
    <span class="hoe-sidebar-toggle"><a href="#"></a></span>
  </header>
  <div id="hoeapp-container" hoe-color-type="lpanel-bg2"
       hoe-lpanel-effect="shrink">

    <aside id="hoe-left-panel" hoe-position-type="absolute">

      <div class="container-logo">
        <div class="media-logo">
          <img class="img-logo " src="{% static 'img/logo_ts.png' %}" style="border:2px solid black;
          background-color: white;">
        </div>
      </div>
      <div class="profile-box">
        <div class="media">

          <div class="media-body" style="text-align:center;">
            <h4 class="media-heading">Sistema de Gestión
              Comercial</h4>
          </div>
        </div>
      </div>
      <div class="profile-box">
        <div class="media">
          <div class="media-body text-center">
            <h5 class="media-heading mb-0">
              <span id="nav_nombre_user"> {{ request.user.staff.full_name }} </span>
            </h5>
            <p class="mb-0">
              <img class="img-circle " src="{% static 'img/account.png' %}">
            </p>
            <span><small>{{ current_role }}</small></span>
          </div>
        </div>
      </div>
      <ul class="nav panel-list" style="display: block">
        {% if 'gesco.clients-list' in permissions %}
        <li class="hoe-has-menu">
          <a href="{% url 'clients:client-list'%}">
            <i class="fa fa-child"></i>
            <span class="menu-text">Clientes</span>
            <span class="selected"></span>
          </a>
        </li>
        {% endif %}
        {% if 'gesco.so-list' in permissions %}
        <li class="hoe-has-menu">
          <a href="{% url 'sale_opportunity:saleopportunity-list'%}">
            <i class="fa fa-handshake-o"></i>
            <span class="menu-text">Oportunidades de Venta</span>
            <span class="selected"></span>
          </a>
        </li>
        {% endif %}
        {% if 'gesco.so-dashboard' in permissions %}
        <li class="hoe-has-menu">
          <a href="{% url 'sale_opportunity:ov-boards' %}">
            <i class="fa fa-calendar"></i>
            <span class="menu-text">Dashboard</span>
            <span class="selected"></span>
          </a>
        </li>
        {% endif %}
        {% if 'gesco.so-files' in permissions %}
        <li class="hoe-has-menu">
          <a href="{% url 'sale_opportunity:so-filter-files' %}">
            <i class="fa fa-files-o"></i>
            <span class="menu-text">Gestor de Archivos</span>
            <span class="selected"></span>
          </a>
        </li>
        {% endif %}


        <li style="bottom:50px;position: absolute;width: 100%;" class="hoe-has-menu">
          <a id="nav_cerrar_sesion" type="button" href="{% url 'security:logout' %}">
            <i class="fa fa-sign-out"></i>
            <span class="menu-text">Cerrar Sesion</span>
            <span class="selected"></span>
          </a>
        </li>


        <li class="hoe-has-menu" style="width: 100%;" hidden="True">
          <a href="javascript:void(0)">
            <i class="fa fa-users"></i>
            <span class="menu-text">Cambiar Rol</span>
            <span class="selected"></span>
          </a>
          <ul class="hoe-sub-menu">
              <form method="POST" action="{% url 'security:change-rol' %}" style="text-align: center;">{% csrf_token %}
                  <div class="form-group">
                    <select name="role" class="form-control">
                      {% for role in user_roles %}
                      <option value="{{ role.id }}" {% if role == current_role %}selected{% endif %}>{{ role.name }}</option>
                      {% endfor %}
                    </select>
                  </div>
                  <button type="submit" class="btn btn-success" style="margin-bottom: 18px">Cambiar de rol</button>
              </form>
          </ul>
        </li>
        {% if 'gesco.so-effectiveness-indicator' in permissions %}
        <li class="hoe-has-menu">
            <a href="javascript:void(0)">
              <i class="fa fa-file-pdf-o"></i>
              <span class="menu-text">Indicadores</span>
              <span class="selected"></span>
            </a>
            <ul class="hoe-sub-menu">
              <li>
                <a href="{% url 'sale_opportunity:filter-sale-managment' %}">
                  <span class="menu-text">Gestion de ventas</span>
                  <span class="selected"></span>
                </a>
              </li>
              <li>
                <a href="{% url 'sale_opportunity:filter-variation-new' %}">
                  <span class="menu-text">Variacion de nuevos productos</span>
                  <span class="selected"></span>
                </a>
              </li>
            </ul>
        </li>
        {% endif %}
      </ul>
    </aside>
    <section id="main-content">
      <div id="wrapper">
        <!-- Page Content -->
        <div id="page-content-wrapper">
          {% block content %}
          {% endblock %}
        </div>
      </div>
    </section>
  </div>
</div>
<!-- Jquery -->
<script src="{% static 'vendor/jquery/js/jquery-3.3.1.js' %}"></script>
<script src="{% static 'vendor/jquery/js/jquery.formset.js' %}"></script>
<script src="{% static 'vendor/bootstrap/js/bootstrap.min.js' %}"></script>
<script src="{% static 'js/sidebar.js' %}"></script>
<script src="{% static 'vendor/select2/js/select2.full.min.js' %}"></script>
<script src="{% static 'js/navbar.js' %}"></script>
<script src="https://unpkg.com/ionicons@4.3.0/dist/ionicons.js"></script>
<script src="{% static 'vendor/bootstrap/js/bootstrap-toggle.min.js' %}"></script>
<!-- Menu Toggle Script -->
<script>
  $("#menu-toggle").click(function (e) {
    e.preventDefault();
    $("#wrapper").toggleClass("toggled");
  });
  $("#menu-toggle-right").click(function (e) {
    e.preventDefault();
    $("#wrapper").toggleClass("toggled-right");
  });
</script>
{% block bottom_scripts %}
{% endblock %}
</body>
</html>

templates/basepartials/base_publico.html
{% load static %}

<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no">
  <!-- Bootstrap -->
  <link href="{% static 'vendor/font-awesome/css/font-awesome.min.css' %}" rel="stylesheet">
  <!-- Latest compiled and minified CSS -->
  <link href="{% static 'vendor/bootstrap/css/bootstrap.min.css' %}" rel="stylesheet" media="screen"/>
  <link rel="stylesheet" type="text/css" href="{% static 'css/base.css' %}">
  <title>{% block title %}{% endblock %}</title>
  {% block extra_style %}{% endblock %}
</head>
<body>
<div class="container">
  <div id="wrapper">
    <!-- Page Content -->
    <div id="page-content-wrapper">
      {% block content %}{% endblock %}
    </div>
  </div>

  <script src="{% static 'vendor/jquery/js/jquery-3.1.1.min.js' %}"></script>
  <script src="{% static 'vendor/bootstrap/js/bootstrap.min.js' %}"></script>
  {% block bottom_scripts %}{% endblock %}
</div>
</body>
</html>